### Constructor

# GtkSource PrintCompositor new_from_view

#### Declaration [src]

    GtkSourcePrintCompositor*
    gtk_source_print_compositor_new_from_view (
      GtkSourceView* view
    )

#### Description [src]

Creates a new print compositor that can be used to print the buffer associated with `view`.

This constructor sets some configuration properties to make the printed output match `view` as much as possible. The properties set are `GtkSourcePrintCompositor:tab-width`, `GtkSourcePrintCompositor:highlight-syntax`, `GtkSourcePrintCompositor:wrap-mode`, `GtkSourcePrintCompositor:body-font-name` and `GtkSourcePrintCompositor:print-line-numbers`.

#### Parameters

`view`

  Type: `GtkSourceView`

  A `GtkSourceView` to get configuration from.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkSourcePrintCompositor`

A new print compositor object.

The caller of the function takes ownership of the data, and is responsible for freeing it.